Bug 331971 - memory leak
memory leak
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 06:55 EDT by Luciano Rocha
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 04:22:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug log from nautilus (716 bytes, text/plain)
2007-10-15 06:55 EDT, Luciano Rocha
no flags Details
open file descriptors (1.47 KB, text/plain)
2007-10-15 06:57 EDT, Luciano Rocha
no flags Details
/proc/pid/status (642 bytes, text/plain)
2007-10-15 06:58 EDT, Luciano Rocha
no flags Details
/proc/pid/maps (27.37 KB, text/plain)
2007-10-15 06:59 EDT, Luciano Rocha
no flags Details
detailed /proc/pid/maps (92.83 KB, text/plain)
2007-10-15 07:01 EDT, Luciano Rocha
no flags Details

  None (edit)
Description Luciano Rocha 2007-10-15 06:55:28 EDT
Description of problem:

After 3 days of uptime, nautilus consumes a lot of memory. From top:

 3634 luciano   20   0  470m 164m  10m S  0.3 21.7   2:14.05 nautilus           

After restart (kill -9):
 9041 luciano   20   0 84448  25m  18m S  0.3  3.3   0:02.62 nautilus           


Version-Release number of selected component (if applicable):

nautilus-2.18.3-1.fc7

Additional info:

My setup is somewhat unusual in that I change the background automatically every
10 minutes via gconf:
gconftool-2 -s /desktop/gnome/background/picture_filename --type string ...

I attach some information gathered from /proc/pid, the core is also available,
but it's 148MB bzip2ed, so I'll make it available only on request.
Comment 1 Luciano Rocha 2007-10-15 06:55:28 EDT
Created attachment 227451 [details]
debug log from nautilus
Comment 2 Luciano Rocha 2007-10-15 06:57:49 EDT
Created attachment 227461 [details]
open file descriptors
Comment 3 Luciano Rocha 2007-10-15 06:58:26 EDT
Created attachment 227471 [details]
/proc/pid/status
Comment 4 Luciano Rocha 2007-10-15 06:59:43 EDT
Created attachment 227481 [details]
/proc/pid/maps
Comment 5 Luciano Rocha 2007-10-15 07:01:05 EDT
Created attachment 227491 [details]
detailed /proc/pid/maps
Comment 6 Matthias Clasen 2007-10-15 08:52:55 EDT
There is a gnome-desktop build in updates-testing that should improve things ( 
gnome-desktop-2.18.3-3.fc7 ) - can you see if that fixes this issue for you ?
Comment 7 Luciano Rocha 2007-10-16 09:52:14 EDT
I'll give it a shot.
Comment 8 Luciano Rocha 2007-10-19 05:55:38 EDT
gnome-desktop-2.18.3-3.fc7 fixes this for me, thanks!

Note You need to log in before you can comment on or make changes to this bug.